> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# Status

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/import/{landscapeImportId}

Get the status of a landscape import job.

Reference: https://developer.icepanel.io/api-reference/landscapes/import/get

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)
- `landscapeImportId` (string, required)

## Response

### 200

OK

- `landscapeImport` (LandscapeImport, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### LandscapeImport

- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `deleteAt` (datetime, required)
- `id` (string, required)
- `landscapeId` (string, required)
- `status` (enum, required)
  - Allowed values: `in-progress`, `completed`, `error`
- `versionId` (string, required)
- `completedAt` (datetime, optional)
- `errors` (list of LandscapeImportError, optional)
- `prune` (boolean, optional) — When enabled, entities that are missing from the import will be deleted.

### LandscapeImportError

- `message` (string, required)
- `code` (string, optional)
- `entityId` (string, optional) — The id of the entity where the error occurred
- `entityOriginalId` (string, optional) — The not using the standard id format, this will be the original import identifier
- `entityType` (enum, optional)
  - Allowed values: `model-object`, `model-connection`, `tag`, `tag-group`

## Examples

**Response**

```json
{
  "landscapeImport": {
    "createdAt": "2024-01-15T09:30:00Z",
    "createdBy": "user",
    "createdById": "string",
    "deleteAt": "2024-01-15T09:30:00Z",
    "id": "string",
    "landscapeId": "string",
    "status": "in-progress",
    "versionId": "string",
    "completedAt": "2024-01-15T09:30:00Z",
    "errors": [
      {
        "message": "string",
        "code": "string",
        "entityId": "string",
        "entityOriginalId": "string",
        "entityType": "model-object"
      }
    ],
    "prune": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/import/landscapeImportId"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/import/landscapeImportId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/import/landscapeImportId");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```